Bug 1907 - Incomplete services (again)
Incomplete services (again)
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: setup (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: 82104 (view as bug list)
Depends On:
Blocks: 168872
  Show dependency treegraph
Reported: 1999-03-31 06:27 EST by rebel
Modified: 2014-03-16 22:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-20 15:30:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rebel 1999-03-31 06:27:59 EST
The files /etc/services and /etc/protocols are rather
incomplete. Why not use the originally published by IANA?
Comment 1 Preston Brown 1999-03-31 17:44:59 EST
setup-1.9.2-2 and later contain complete /etc/services and
/etc/protocols files.
Comment 2 Patrick C. F. Ernzer 2002-07-08 19:17:05 EDT
We have since this was fixed in 1999 become out of sync with the official list

Could we please have another update or even better have it generated
automatically from <http://www.iana.org/assignments/port-numbers> when the rpm
is built?

Having an up to date services file makes parsing firewall log files so much easier.
Comment 3 Jay Turner 2003-09-09 09:54:54 EDT
We again have discrepancies with setup-2.5.27-1.1.
Comment 4 Bill Nottingham 2004-05-04 23:29:41 EDT
Cleaned up in 2.5.32-1.
Comment 5 Bill Nottingham 2004-05-04 23:41:50 EDT
Deferred from 2.5.32-1
Comment 6 Bill Nottingham 2004-09-23 01:33:01 EDT
*** Bug 82104 has been marked as a duplicate of this bug. ***
Comment 7 Jeff Pitman 2005-04-12 05:08:53 EDT
Lot's of updates from November 2004, please ensure a new services file is in  
place for FC4.  Service that I'm looking for in particular is OpenVPN on 1194.  
Comment 8 Bill Nottingham 2005-09-20 15:30:38 EDT
This problem is scheduled to be resolved in a future major release of Red Hat
Enterprise Linux. Red Hat does not currently plan to provide a resolution for
this in a Red Hat Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 

Note You need to log in before you can comment on or make changes to this bug.